package org.jboss.installer.postinstall;

import org.jboss.installer.core.LanguageUtils;

public interface PostInstallTaskImpl {

    String getName();

    /**
     * called by the {@code ActionExecutor} before the task is performed to provide current
     * instance of {@code LanguageUtils}.
     *
     * @param langUtils
     */
    default void setLanguageUtils(LanguageUtils langUtils) {};
}
